# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Notification responses You can set up the Notifications API response to a specified callback URL or email to receive real-time notifications. ## Before you begin Subscribe to a notification(s) to receive notification responses. For more information about setting up notifications, see [Subscribe to notifications](/docs/commerce/optimization-protection/capabilities/notifications/how-to/subscribe-notifications). >
> A few things keep in mind: > > > - Notifications service may, in rare cases, issue the same notification (with identical data) multiple times due to asynchronous backend processing. It is your responsibility to ensure idempotent handling at your end. > > - A webhook delivery is considered successful when it receives 200 or 201 HTTP code back in response (not for all 2XX). Any other response code is considered as a failed delivery and subsequent measures to resolve the failure will be taken. > ## Notification components A notification is sent to the callback URL or email address you specify when you subscribe to the notification type. The notification includes the following common fields: **Common notification response fields** | Field name | Description | | --- | --- | | notificationId | A unique identifier for the notification. You can retrieve the notification using this ID. | | notificationType | The first level category of events. | | notificationSubType | The subcategory of events. This second level helps you narrow down the notification sub-types used for subscriptions. | | notificationDescription | Textual information that defines the notification type. | | messageCreateTimestamp | The hour, minute, and second of the date the event was generated. | ## Related [Notification types](/docs/commerce/optimization-protection/capabilities/notifications/notification-types) [Subscribe to notifications](/docs/commerce/optimization-protection/capabilities/notifications/how-to/subscribe-notifications) [Retrieve notifications](/docs/commerce/optimization-protection/capabilities/notifications/how-to/retrieve-notifications) [Testing notifications](/docs/commerce/optimization-protection/capabilities/notifications/testing)